<< | Thread Index | >> ]    [ << | Date Index | >> ]

To: Shashank Khanvilkar <shashank,AT,mia,DOT,ece,DOT,uic,DOT,edu>
Subject: Re: Compiling CIPE 1.5.4 on REDHAT 9.0
From: Colin Kells <ckells,AT,paradise,DOT,net,DOT,nz>
Date: 14 Aug 2003 21:31:59 +1200
Cc: cipe-l,AT,inka,DOT,de
In-reply-to: <025f01c361d2$5948b730$010aa8c0@ece.uic.edu>
Organization: Computer Fix Limited
References: <20030813133515.62154.qmail@web11602.mail.yahoo.com> <1060800991.12528.1.camel@linuxsrv> <025f01c361d2$5948b730$010aa8c0@ece.uic.edu>
Reply-to: ckells,AT,paradise,DOT,net,DOT,nz

OK this resolves the make problem, which now appears to run through
clean.

During make install however get error as shown in test3 attached.

Is this when we require the stock kernel as mentioned in the above
article ?

I'll read the article on Compiling the redhat kernel.

Thanks for your help.

Regards
On Thu, 2003-08-14 at 07:37, Shashank Khanvilkar wrote:
> I also faced a similar problem.. Perhaps this might help
> http://mia.ece.uic.edu/~papers/volans/cipe.html
> 
> Shank
> 
> 
> ----- Original Message ----- 
> From: "Colin Kells" <ckells,AT,paradise,DOT,net,DOT,nz>
> To: "Ajit Kashyap" <ajitkashyap,AT,yahoo,DOT,com>
> Cc: <cipe-l,AT,inka,DOT,de>
> Sent: Wednesday, August 13, 2003 1:56 PM
> Subject: Re: Compiling CIPE 1.5.4 on REDHAT 9.0
> 
> 
> > Thanks for your reply, however still get same error "could not find
> > kernel compiler verson"
> >
> >
> >
> >
> > On Thu, 2003-08-14 at 01:35, Ajit Kashyap wrote:
> > > try running
> > > ./configure --with-linux=/usr/src/linux-2.4.20-19.9
> > >
> > >
> > > --- Colin Kells <ckells,AT,paradise,DOT,net,DOT,nz> wrote:
> > > > When running ./configure I get error "Configure:
> > > > warning: could not find
> > > > kernel compiler version"
> > > >
> > > > I have linked /usr/src/linux to
> > > > /usr/src/linux-2.4.20-19.9
> > > >
> > > > Attached file "test" gives configure output.
> > > >
> > > > Attached file "test1" contains the errors received
> > > > when running Make
> > > >
> > > > Can someone please advise cause and resolution.
> > > >
> > > >
> > > > Regards
> > > > > loading cache ./config.cache
> > > > checking for gcc... (cached) gcc
> > > > checking whether the C compiler (gcc  ) works... yes
> > > > checking whether the C compiler (gcc  ) is a
> > > > cross-compiler... no
> > > > checking whether we are using GNU C... (cached) yes
> > > > checking whether gcc accepts -g... (cached) yes
> > > > checking how to run the C preprocessor... (cached)
> > > > gcc -E
> > > > checking for texinfo... (cached) tex
> > > > checking for makeinfo... (cached) makeinfo
> > > > checking for gmake... (cached) gmake
> > > > checking for kernel include tree...
> > > > /usr/src/linux-2.4.20-19.9/include
> > > > checking for kernel compile parameters... gcc
> > > > -D__KERNEL__ -I/usr/src/linux-2.4.20-19.9/include
> > > > -Wall -Wstrict-prototypes -Wno-trigraphs -O2
> > > > -fno-strict-aliasing -fno-common
> > > > -fomit-frame-pointer -pipe
> > > > -mpreferred-stack-boundary=2 -DMODULE
> > > > checking for architecture... i386
> > > > checking for kernel version... 2.4.20-19.9
> > > >
> > > > Configure: warning: could not find kernel compiler
> > > > version
> > > >
> > > >
> > > > checking for SMP... no
> > > > checking for assembler parts... bf-i386.o
> > > > checking for mlock... (cached) yes
> > > > checking for mlockall... (cached) yes
> > > > checking for OpenSSL... includes /usr//include, libs
> > > > /usr//lib
> > > > checking for openssl... (cached) /usr/bin/openssl
> > > > checking OpenSSL version... 0.9.7a
> > > > creating ./config.status
> > > > creating Makefile
> > > > creating 2.4.20-19.9-i386-cb/Makefile
> > > > creating lib/Makefile
> > > > creating pkcipe/Makefile
> > > > creating pkcipe/rsa-keygen
> > > > creating 2.4.20-19.9-i386-cb/config.h
> > > > 2.4.20-19.9-i386-cb/config.h is unchanged
> > > > creating pkcipe/config.h
> > > > pkcipe/config.h is unchanged
> > > > loading cache ./config.cache
> > > > checking for gcc... (cached) gcc
> > > > checking whether the C compiler (gcc  ) works... yes
> > > > checking whether the C compiler (gcc  ) is a
> > > > cross-compiler... no
> > > > checking whether we are using GNU C... (cached) yes
> > > > checking whether gcc accepts -g... (cached) yes
> > > > checking how to run the C preprocessor... (cached)
> > > > gcc -E
> > > > checking for texinfo... (cached) tex
> > > > checking for makeinfo... (cached) makeinfo
> > > > checking for gmake... (cached) gmake
> > > > checking for kernel include tree...
> > > > /usr/src/linux-2.4.20-19.9/include
> > > > checking for kernel compile parameters... gcc
> > > > -D__KERNEL__ -I/usr/src/linux-2.4.20-19.9/include
> > > > -Wall -Wstrict-prototypes -Wno-trigraphs -O2
> > > > -fno-strict-aliasing -fno-common
> > > > -fomit-frame-pointer -pipe
> > > > -mpreferred-stack-boundary=2 -DMODULE
> > > > checking for architecture... i386
> > > > checking for kernel version... 2.4.20-19.9
> > > > checking for SMP... no
> > > > checking for assembler parts... bf-i386.o
> > > > checking for mlock... (cached) yes
> > > > checking for mlockall... (cached) yes
> > > > checking for OpenSSL... includes /usr//include, libs
> > > > /usr//lib
> > > > checking for openssl... (cached) /usr/bin/openssl
> > > > checking OpenSSL version... 0.9.7a
> > > > creating ./config.status
> > > > creating Makefile
> > > > creating 2.4.20-19.9-i386-cb/Makefile
> > > > creating lib/Makefile
> > > > creating pkcipe/Makefile
> > > > creating pkcipe/rsa-keygen
> > > > creating 2.4.20-19.9-i386-cb/config.h
> > > > 2.4.20-19.9-i386-cb/config.h is unchanged
> > > > creating pkcipe/config.h
> > > > pkcipe/config.h is unchanged
> > > > > gcc -MD -DKCC_BUILD -I. -include ./config.h
> > > > -D__KERNEL__ -I/usr/src/linux-2.4.20-19.9/include
> > > > -Wall -Wstrict-prototypes -Wno-trigraphs -O2
> > > > -fno-strict-aliasing -fno-common
> > > > -fomit-frame-pointer -pipe
> > > > -mpreferred-stack-boundary=2 -DMODULE -o device.o -c
> > > > ../cipe/device.c
> > > > ../cipe/device.c: In function `cipe_owner':
> > > > ..//cipe/device.c:223: structure has no member named
> > > > `next_task'
> > > >
> > >
> > >
> > > __________________________________
> > > Do you Yahoo!?
> > > Yahoo! SiteBuilder - Free, easy-to-use web site design software
> > > http://sitebuilder.yahoo.com
> > >
> > > --
> > > Message sent by the cipe-l,AT,inka,DOT,de mailing list.
> > > Unsubscribe: mail majordomo,AT,inka,DOT,de, "unsubscribe cipe-l" in body
> > > Other commands available with "help" in body to the same address.
> > > CIPE info and list archive:
> <URL:http://sites.inka.de/~bigred/devel/cipe.html>
> > >
> >
> >
> > --
> > Message sent by the cipe-l,AT,inka,DOT,de mailing list.
> > Unsubscribe: mail majordomo,AT,inka,DOT,de, "unsubscribe cipe-l" in body
> > Other commands available with "help" in body to the same address.
> > CIPE info and list archive:
> <URL:http://sites.inka.de/~bigred/devel/cipe.html>
> >
> 
> 
mkdir -p /lib/modules/2.4.20-19.9/misc /usr/local/sbin
install -m 644 cipcb.o /lib/modules/2.4.20-19.9/misc
install -m 755 ciped-cb /usr/local/sbin
depmod -a
depmod: *** Unresolved symbols in /lib/modules/2.4.20-19.9/misc/cipcb.0

<< | Thread Index | >> ]    [ << | Date Index | >> ]